[arch-commits] Commit in openoffice-base-devel/repos (7 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Tue Oct 21 08:07:09 EDT 2008


    Date: Tuesday, October 21, 2008 @ 08:07:08
  Author: andyrtr
Revision: 16289

Merged revisions 12064,12066,12638,16284 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/openoffice-base-devel/trunk

........
  r12064 | andyrtr | 2008-09-08 21:01:13 +0000 (Mo, 08 Sep 2008) | 1 line
  
  upgpkg: openoffice-base-devel 3.0_dev300_m31-1
........
  r12066 | andyrtr | 2008-09-08 21:02:47 +0000 (Mo, 08 Sep 2008) | 1 line
  
  add a build fix patch
........
  r12638 | andyrtr | 2008-09-17 11:51:28 +0000 (Mi, 17 Sep 2008) | 1 line
  
  switch to svn checkouts, breaks evolution connection
........
  r16284 | andyrtr | 2008-10-21 12:05:48 +0000 (Di, 21 Okt 2008) | 1 line
  
  upgpkg: openoffice-base-devel 3.1_dev300_m33-1
........

Added:
  openoffice-base-devel/repos/extra-x86_64/buildfix-openjdk-6-no-rhino.diff
    (from rev 16284, openoffice-base-devel/trunk/buildfix-openjdk-6-no-rhino.diff)
  openoffice-base-devel/repos/extra-x86_64/system_hsqldb.diff
    (from rev 16284, openoffice-base-devel/trunk/system_hsqldb.diff)
Modified:
  openoffice-base-devel/repos/extra-x86_64/	(properties)
  openoffice-base-devel/repos/extra-x86_64/ChangeLog
  openoffice-base-devel/repos/extra-x86_64/PKGBUILD
  openoffice-base-devel/repos/extra-x86_64/openoffice.install
Deleted:
  openoffice-base-devel/repos/extra-x86_64/FontOOo_1.7.1.sxw

----------------------------------+
 ChangeLog                        |   14 +++
 PKGBUILD                         |  137 +++++++++++++++++--------------------
 buildfix-openjdk-6-no-rhino.diff |   42 +++++++++++
 openoffice.install               |   26 ++-----
 system_hsqldb.diff               |   10 ++
 5 files changed, 139 insertions(+), 90 deletions(-)


Property changes on: openoffice-base-devel/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /openoffice-base-devel/trunk:1-10334
   + /openoffice-base-devel/trunk:1-16284

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-10-21 12:06:34 UTC (rev 16288)
+++ extra-x86_64/ChangeLog	2008-10-21 12:07:08 UTC (rev 16289)
@@ -1,3 +1,17 @@
+openoffice-base-devel - 3.1_dev300_m33-1
+- new devel snapshot
+- synchronise with fixes made in the stable pkg
+
+openoffice-base-devel - 3.0_dev300_m31-2
+- use new OOo svn for checkout
+- make dict deployement invisible
+- fix build with new openjdk6 with rhino
+- disable-evolution2 build
+
+openoffice-base-devel - 3.0_dev300_m31-1
+- fix build with system hsqldb-java
+- fixes for dict deployement
+
 openoffice-base-devel - 3.0_dev300_m30-1
 - build with system hsqldb is broken
 - move some deps to optdepends

Deleted: extra-x86_64/FontOOo_1.7.1.sxw
===================================================================
(Binary files differ)

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-21 12:06:34 UTC (rev 16288)
+++ extra-x86_64/PKGBUILD	2008-10-21 12:07:08 UTC (rev 16289)
@@ -2,25 +2,24 @@
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
 
 pkgname=openoffice-base-devel
-pkgver=3.0_dev300_m30
+pkgver=3.1_dev300_m33
 pkgrel=1
 pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite"
 arch=('i686' 'x86_64')
-#_OO_milestone=dev300-m30
-_OO_milestone=DEV300_m30
+_OO_milestone=DEV300_m33
 license=('LGPL3')
 url="http://www.openoffice.org"
 install=openoffice.install
 depends=('curl>=7.18.0' 'hunspell>=1.2.2-2' 'python>=2.5.1' 'libwpd' 
-         'libxaw' 'neon>=0.28.2' 'dbus-glib' 'icu>=4.0' 'redland')
+         'libxaw' 'neon>=0.28.2' 'dbus-glib' 'icu>=4.0' 'redland' 'hsqldb-java' 'libxslt')
 optdepends=('java-runtime:	adds java support'
             'libcups:		adds printing support'
             'gconf:		adds additional gnome support'
             'nss:		adds support for signed files/macros'
             'pstoedit:		translates PostScript and PDF graphics into other vector formats')
 makedepends=('bison' 'cvs' 'curl' 'findutils' 'flex' 'gawk' 'gcc-libs' 'libart-lgpl'
-             'pam' 'sane' 'zip' 'perl-archive-zip' 'pkgconfig'  'unzip' 'xulrunner>=1.9.0.1'
-             'boost' 'apache-ant' 'cairo' 'gperf' 'libcups' 'pstoedit' 'gconf' 'openjdk6')
+             'pam' 'sane' 'zip' 'perl-archive-zip' 'pkgconfig' 'unzip' 'xulrunner>=1.9.0.3'
+             'boost' 'apache-ant' 'cairo' 'gperf' 'libcups' 'pstoedit' 'gconf' 'openjdk6>=1.3')
 provides=('openoffice-base')
 
 #MIRROR=ftp://ftp5.gwdg.de/pub/openoffice/extended/developer/
@@ -37,34 +36,22 @@
 	soffice-detect-mozilla-certificates.diff
 	buildfix-gcc43.diff
 	shell.patch
-	#http://oooconv.free.fr/fontooo/FontOOo.sxw
-	# from http://www.openoffice.org/issues/show_bug.cgi?id=81102
-	FontOOo_1.7.1.sxw)
+	system_hsqldb.diff
+	buildfix-openjdk-6-no-rhino.diff
+	openoffice.profile)
 options=('!distcc' '!ccache' '!makeflags')
-md5sums=('a2ffad8555cc1846254805960d4dce81'
-         '50f1b6923deb05756de0efa02c5a63e0'
-         '71f136a31e296a04ab68932a31dd533e'
-         '6c596129fb48316226ce3adfd3a4c86d'
-         'a8b96e9d0ce92a8f6690f277b1cfacc9'
-         '1dc7480a04f572ad136d35923a2af66d'
-         'bf7119084a2d1e0566b5e34b57dce8eb'
-         'a51200f770c635355c430cc5052db8cf'
-         '1fc1ca5205730655eab2d2e119aa06fe')
 
 # see ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/build/build for upstream build instructions
 
 build() {
 	cd ${srcdir}
-	export _MILESTONE=${_OO_milestone}
-	export 'CVSROOT=:pserver:anoncvs at anoncvs.services.openoffice.org:/cvs'
-	# checkout snapshot
-#	cvs -q -z9 co -r $_MILESTONE OpenOffice3
-#	tar -cvzf ../${pkgname}-${_OO_milestone}.tar.gz *
+	# now svn: http://wiki.services.openoffice.org/wiki/OOo_and_Subversion
+#	svn checkout svn://svn.services.openoffice.org/ooo/tags/${_OO_milestone}
+#	find ${srcdir} -type d -depth -name ".svn" -exec rm -rf {} \;
+#	tar -cvzf ../${pkgname}-${_OO_milestone}.tar.gz ${_OO_milestone}/*
 #	return 1
 
-	# fetch missing modules
-	cvs -q -z9 co -r $_MILESTONE cppunit hyphen swext apache-commons tomcat
-
+	cd ${srcdir}/${_OO_milestone}
 	# just to make sure that it will detect the desired JDK/JVM - we want openjdk6
 	unset J2REDIR; unset J2SDKDIR; unset JAVA_HOME; unset CLASSPATH
 	[ -z "${JAVA_HOME}" ] && . /etc/profile.d/openjdk6.sh
@@ -80,6 +67,8 @@
 
 	# build fixes
 	patch -Np0 -i ${srcdir}/buildfix-gcc43.diff || return 1
+	patch -Np0 -i ${srcdir}/system_hsqldb.diff || return 1
+	patch -Np0 -i ${srcdir}/buildfix-openjdk-6-no-rhino.diff || return 1
 
 	# allows xmlsec to be able to read the format of the digital certificates.
 	patch -Np0 -i ${srcdir}/libxmlsec-findcerts.diff || return 1
@@ -98,15 +87,14 @@
 	patch -Np0 -i ${srcdir}/default-system-fpicker.diff || return 1
 
 	if [ "$CARCH" = "x86_64" ]; then
+	   EXTRAOPTS="--with-stlport"
           # fix to build with SUN jdk/jre and OpenJDK
           # http://qa.openoffice.org/issues/show_bug.cgi?id=74749
-	  sed -i "s:lib64\/libjpeg.so:lib\/libjpeg.so:g" ${srcdir}/solenv/inc/libs.mk
+	  sed -i "s:lib64\/libjpeg.so:lib\/libjpeg.so:g" ${srcdir}/${_OO_milestone}/solenv/inc/libs.mk
 	fi
 
-	cd ${srcdir}/config_office
+	cd ${srcdir}/${_OO_milestone}/config_office
 
-	# Set OOO_VENDOR in build environment
-	export OOO_VENDOR="ArchLinux"
 	# export C(XX)FLAGS
 	export ARCH_FLAGS="$CFLAGS"
 
@@ -114,13 +102,22 @@
 	autoreconf -v || return 1
 
 	./configure --with-build-version="${pkgver} ArchLinux build-${pkgrel} (${_OO_milestone})" \
+	--with-vendor="ArchLinux"\
 	--prefix=/usr --exec-prefix=/usr\
 	--disable-ldap\
 	--with-lang="en-US"\
+	--with-dict=ALL\
 	--disable-gnome-vfs\
 	--disable-binfilter\
+	--disable-evolution2\
+	--disable-kde\
 	--disable-lockdown\
+	--disable-mediawiki\
+	--disable-minimizer\
 	--disable-odk\
+	--disable-pdfimport\
+	--disable-qadevooo\
+	--disable-reportdesign\
 	--disable-systray\
 	--disable-mathmldtd\
 	--enable-gio\
@@ -128,7 +125,6 @@
 	--enable-cups\
 	--enable-dbus\
 	--enable-cairo\
-	--enable-evolution2\
 	--enable-crashdump\
 	--enable-vba\
 	--enable-verbose\
@@ -157,12 +153,9 @@
 	--with-system-zlib\
 	--with-system-openssl\
 	--without-fonts\
-	--without-myspell-dicts\
 	--without-afms\
 	--without-gpc\
-	--without-myspell-dicts\
 	--without-nas\
-	--without-stlport\
 	--with-jdk-home=${JAVA_HOME} \
 	--with-system-xerces \
 	--with-xerces-jar=/usr/share/java/xercesImpl.jar \
@@ -170,15 +163,16 @@
 	--with-xalan-jar=/usr/share/java/xalan.jar \
 	--with-system-xml-apis\
 	--with-xml-apis-jar=/usr/share/java/xml-apis.jar \
+ 	--with-system-hsqldb \
+	--with-hsqldb-jar=/usr/share/java/hsqldb.jar \
 	--with-serializer-jar=/usr/share/java/serializer.jar \
 	--with-use-shell=bash\
 	 $EXTRAOPTS || return 1
 
-#	--enable-kde\
 #	--disable-qadevooo\ http://www.openoffice.org/issues/show_bug.cgi?id=91452
+#	--enable-evolution2\
 
-# 	--with-system-hsqldb \
-#	--with-hsqldb-jar=/usr/share/java/hsqldb.jar \
+#	--disable-fontooo\	# seems removed
 
 	cd ..
 
@@ -205,14 +199,14 @@
 
         ## Step 1 
         cd ${pkgdir}/opt/openoffice.org || return 1
-        mv ure/ basis3.0/ || return 1
-        cd basis3.0 || return 1
+        mv ure/ basis3.1/ || return 1
+        cd basis3.1 || return 1
         rm ure-link && mv ure ure-link || return 1
         ## Step 2
         cd ${pkgdir}/opt/ || return 1
-        mv openoffice.org/basis3.0/ openoffice.org3/ || return 1
+        mv openoffice.org/basis3.1/ openoffice.org3/ || return 1
         cd openoffice.org3/ || return 1
-        rm basis-link && mv basis3.0 basis-link || return 1
+        rm basis-link && mv basis3.1 basis-link || return 1
         ## Step 3        
         cd ${pkgdir}/opt/ || return 1
         rmdir ${pkgdir}/opt/openoffice.org || return 1
@@ -227,27 +221,37 @@
 	ln -s ../../opt/openoffice/program/soffice soffice
 	ln -s ../../opt/openoffice/program/spadmin spadmin
 
+       # install all built dictionaries from source tree
+       if [ "$CARCH" = "x86_64" ]; then
+              pushd ${srcdir}/${_OO_milestone}/dictionaries/unxlngx6.pro/bin
+         else pushd ${srcdir}/${_OO_milestone}/dictionaries/unxlngi6.pro/bin
+       fi
+       for i in `ls -1 dict-??.oxt`; do
+         install -D -m644 $i ${pkgdir}/opt/openoffice/share/extension/install/$i || return 1
+       done
+       popd
+               
 	# install shortcuts
 	mv ${pkgdir}/opt/openoffice/share/xdg/*.desktop  ${pkgdir}/usr/share/applications
 	cd ${pkgdir}/usr/share/applications
-	sed -i -e 's|Exec=openoffice.org3.0|Exec=/opt/openoffice/program/soffice|g' *.desktop
-	sed -i -e 's|Exec=/opt/openoffice/program/soffice-printeradmin|Exec=/opt/openoffice/program/spadmin|g' printeradmin.desktop
+	sed -i -e 's|Exec=openoffice.org3|Exec=/opt/openoffice/program/soffice|g' *.desktop || return 1
+	sed -i -e 's|Exec=/opt/openoffice/program/soffice-printeradmin|Exec=/opt/openoffice/program/spadmin|g' printeradmin.desktop || return 1
 	# fix exec commands in shortcuts for Xfce menu
-	sed -i -e 's|base %U|base|g' base.desktop
-	sed -i -e 's|calc %U|calc|g' calc.desktop
-	sed -i -e 's|draw %U|draw|g' draw.desktop
-	sed -i -e 's|impress %U|impress|g' impress.desktop
-	sed -i -e 's|math %U|math|g' math.desktop
-	sed -i -e 's|writer %U|writer|g' writer.desktop
+	sed -i -e 's|base %U|base|g' base.desktop || return 1
+	sed -i -e 's|calc %U|calc|g' calc.desktop || return 1
+	sed -i -e 's|draw %U|draw|g' draw.desktop || return 1
+	sed -i -e 's|impress %U|impress|g' impress.desktop || return 1
+	sed -i -e 's|math %U|math|g' math.desktop || return 1
+	sed -i -e 's|writer %U|writer|g' writer.desktop || return 1
 	# remove quickstarter, we disabled it above
 	rm -rf ${pkgdir}/usr/share/applications/qstart.desktop
 	# fix icons in shortcuts
-	sed -i -e 's|Icon=openofficeorg30-|Icon=|g' *.desktop
+	sed -i -e 's|Icon=openofficeorg3-|Icon=|g' *.desktop
 	# add template desktop file
-	install -D -m644 ${srcdir}/template.desktop ${pkgdir}/usr/share/applications/template.desktop
+	install -D -m644 ${srcdir}/template.desktop ${pkgdir}/usr/share/applications/template.desktop || return 1
 
 	# install icons
-	cd ${srcdir}/sysui/desktop/icons
+	cd ${srcdir}/${_OO_milestone}/sysui/desktop/icons
 	cp -a -v hicolor/*x* ${pkgdir}/usr/share/icons/hicolor
 	cp -a -v locolor/*x* ${pkgdir}/usr/share/icons/locolor
 
@@ -260,22 +264,9 @@
 	chmod +rX -R ${pkgdir}/usr
 
 	# some cleanup
-	find ${pkgdir}/usr/share/icons -depth -name "CVS" -type d -exec rm -r {} \; > /dev/null 2>&1
-	rm -f ${pkgdir}/opt/openoffice/program/oo_product.bmp
-	mkdir -p ${pkgdir}/opt/openoffice/basis-link/share/dict/ooo
-	touch ${pkgdir}/opt/openoffice/basis-link/share/dict/ooo/.directory 
-	touch ${pkgdir}/opt/openoffice/basis-link/presets/template/.directory 
-	touch ${pkgdir}/opt/openoffice/share/extension/install/.directory
-	# remove unecessary temp files if they exist 
-	rm -f  ${pkgdir}/opt/openoffice/program/root*.dat
+#	find ${pkgdir}/usr/share/icons -depth -name "CVS" -type d -exec rm -r {} \; > /dev/null 2>&1
 	rm -f  ${pkgdir}/opt/openoffice/program/root*.dat.*
 
- 	# fix font wizard not installed by default (from http://qa.openoffice.org/issues/show_bug.cgi?id=81102)
-	install -D -m644 ${srcdir}/FontOOo_1.7.1.sxw ${pkgdir}/opt/openoffice/share/dict/ooo/FontOOo.sxw
-
-	# add missing spell wizard
-	install -D -m644 ${srcdir}/dictionaries/diclst/DicOOo.sxw ${pkgdir}/opt/openoffice/share/dict/ooo/DicOOo.sxw
-
 	# link the mozilla-plugin
 	mkdir -p ${pkgdir}/usr/lib/mozilla/plugins/
 	cd ${pkgdir}/usr/lib/mozilla/plugins/
@@ -284,7 +275,7 @@
 	## Develize it!
 	cd ${pkgdir}/opt/
 	mv openoffice openoffice-dev
-	sed -i -e 's|Exec=/opt/openoffice/program|Exec=/opt/openoffice-dev/program|g' ${pkgdir}/usr/share/applications/*.desktop
+	sed -i -e 's|Exec=/opt/openoffice/program|Exec=/opt/openoffice-dev/program|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 
 	cd ${pkgdir}/usr/bin
 	rm -f soffice spadmin
@@ -299,13 +290,15 @@
 	for i in `find ${pkgdir}/usr/share/icons -name '*.png'`  ; do  mv $i `dirname $i`/dev-`basename $i` ; done ;
 	
 	cd ${pkgdir}/usr/share/applications/
-	sed -i -e 's|Icon=|Icon=dev-|g' $startdir/pkg/usr/share/applications/*.desktop
-	sed -i -e 's|OpenOffice\.org\ 3\.0|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop
-	sed -i -e 's|\/opt\/openoffice\-dev\/program\/soffice|\/usr\/bin\/soffice\-dev|g' ${pkgdir}/usr/share/applications/*.desktop
+	sed -i -e 's|Icon=|Icon=dev-|g' $startdir/pkg/usr/share/applications/*.desktop || return 1
+	sed -i -e 's|OpenOffice\.org\ 3\.0|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
+	sed -i -e 's|\/opt\/openoffice\-dev\/program\/soffice|\/usr\/bin\/soffice\-dev|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 
 	mv ${pkgdir}/usr/lib/mozilla/plugins/libnpsoplugin.so ${pkgdir}/usr/lib/mozilla/plugins/libnpsoplugin-dev.so
-
 	cd ${pkgdir}/opt/openoffice-dev/program/
 	ln -sf /opt/openoffice-dev/program/soffice.bin soffice-dev.bin
+	
+       # set desktop variable to force gtk/gnome vcl usage
+       install -m755 -d ${pkgdir}/etc/profile.d
+       install -m755 ${srcdir}/openoffice.profile ${pkgdir}/etc/profile.d/openoffice-devel.sh || return 1
 }
-

Copied: openoffice-base-devel/repos/extra-x86_64/buildfix-openjdk-6-no-rhino.diff (from rev 16284, openoffice-base-devel/trunk/buildfix-openjdk-6-no-rhino.diff)
===================================================================
--- extra-x86_64/buildfix-openjdk-6-no-rhino.diff	                        (rev 0)
+++ extra-x86_64/buildfix-openjdk-6-no-rhino.diff	2008-10-21 12:07:08 UTC (rev 16289)
@@ -0,0 +1,42 @@
+? unxlngx6.pro
+Index: rhino1_5R5.patch
+===================================================================
+RCS file: /cvs/external/rhino/rhino1_5R5.patch,v
+retrieving revision 1.3
+diff -u -r1.3 rhino1_5R5.patch
+--- rhino/rhino1_5R5.patch	11 Apr 2008 07:03:06 -0000	1.3
++++ rhino/rhino1_5R5.patch	12 Aug 2008 20:08:16 -0000
+@@ -1174,3 +1174,14 @@
+          PermissionCollection pc = Policy.getPolicy().getPermissions(cs);
+          return new ProtectionDomain(cs, pc);
+      }
++--- misc/rhino1_5R5/toolsrc/build.xml	2004-03-25 17:54:34.000000000 -0300
+++++ misc/build/rhino1_5R5/toolsrc/build.xml	2008-08-12 16:58:52.000000000 -0
++va	Fri Mar 28 17:24:23 2008
++@@ -68,6 +32,7 @@
++            includes="org/**/*.java"
++            deprecation="on"
++            debug="${debug}">
+++      <compilerarg value="-Xbootclasspath:${java.home}/jre/lib/rt.jar"/>
++     </javac>
++     <copy todir="${nest}/${classes}">
++       <fileset dir="." includes="org/**/*.properties" />
+? unxlngx6.pro
+Index: java/build.xml
+===================================================================
+RCS file: /cvs/framework/scripting/java/build.xml,v
+retrieving revision 1.36
+diff -u -r1.36 build.xml
+--- scripting/java/build.xml	11 Apr 2008 09:46:13 -0000	1.36
++++ scripting/java/build.xml	12 Aug 2008 23:20:31 -0000
+@@ -85,7 +85,9 @@
+   <target name="compile" depends="prepare">
+     <javac srcdir="com" destdir="${jardir}"
+          includes="**/*.java" classpathref="idlclasspath"
+-         debug="${debug}" optimize="${optimize}" deprecation="off"/>
++         debug="${debug}" optimize="${optimize}" deprecation="off">
++	 <compilerarg value="-Xbootclasspath:${java.home}/jre/lib/rt.jar"/>
++    </javac>
+     <javac srcdir="Framework/" destdir="${jardir}"
+          includes="**/*.java" classpathref="idlclasspath" debug="${debug}" 
+          optimize="${optimize}" deprecation="off">

Modified: extra-x86_64/openoffice.install
===================================================================
--- extra-x86_64/openoffice.install	2008-10-21 12:06:34 UTC (rev 16288)
+++ extra-x86_64/openoffice.install	2008-10-21 12:07:08 UTC (rev 16289)
@@ -3,20 +3,10 @@
 gtk-update-icon-cache -f -q /usr/share/icons/hicolor
 update-desktop-database -q
 
-echo " NOTE:"
-echo " This package has been built with java support."
-echo " If you want java features for runtime, you can either use: "
-echo " 1. OpenJDK6"
-echo " 2. Sun's JRE."
-echo " you will need it for \"help\" section and some java based wizards"
-echo " for further reading: http://wiki.services.openoffice.org/wiki/Java_and_OpenOffice.org"
-echo " "
-echo " >>KDE integration is no longer supported!<<"
-echo " "
-echo " Please preset Gnome appearance always with"
-echo " \"export OOO_FORCE_DESKTOP=gnome\" even when"
-echo " you are runnning a different desktop!"
-echo " or put it in /etc/profile, rc.local, or ~/.bashrc."
+echo " see http://wiki.archlinux.org/index.php/Openoffice"
+echo " how to use extensions, e.g. for spell checking"
+echo " see /opt/openoffice-dev/share/extension/install what"
+echo " is shipped with this package"
 }
 
 post_upgrade() {
@@ -26,8 +16,8 @@
 post_remove() {
 update-desktop-database -q
 gtk-update-icon-cache -f -q /usr/share/icons/hicolor
-}
 
-op=$1
-shift
-$op $*
+# make sure everything is gone, maybe someone has installed
+# extensions for all users using unopkg --shared
+rm -rf /opt/openoffice-dev
+}

Copied: openoffice-base-devel/repos/extra-x86_64/system_hsqldb.diff (from rev 16284, openoffice-base-devel/trunk/system_hsqldb.diff)
===================================================================
--- extra-x86_64/system_hsqldb.diff	                        (rev 0)
+++ extra-x86_64/system_hsqldb.diff	2008-10-21 12:07:08 UTC (rev 16289)
@@ -0,0 +1,10 @@
+--- connectivity/com/sun/star/sdbcx/comp/hsqldb/makefile.mk     2008-08-19
+05:08:34.000000000 -0400
++++ connectivity/com/sun/star/sdbcx/comp/hsqldb/makefile.mk     2008-08-31
+01:29:31.000000000 -0400
+@@ -44,4 +44,5 @@
+ .IF "$(SYSTEM_HSQLDB)" == "YES"
+ XCLASSPATH!:=$(XCLASSPATH)$(PATH_SEPERATOR)$(HSQLDB_JAR)
++JARFILES+= $(HSQLDB_JAR)
+ .ELSE
+ JARFILES+= hsqldb.jar




More information about the arch-commits mailing list